Summary: Personal search and metasearch tool
Name: pinot
Version: 0.89
Release: alt1
License: GPL
Group: File tools
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: %name-%version.tar.gz
Url: http://pinot.berlios.de/
Patch1: pinot-new-gmime-fix.patch

# Automatically added by buildreq on Sat May 10 2008
BuildRequires: boost-devel desktop-file-utils gcc-c++ glibc-devel-static libcurl-devel libdbus-glib-devel libgmime-devel libgtkmm2-devel libsqlite3-devel libtag-devel libtextcat libxapian-devel libxml++2-devel libexif-devel

%description
Pinot is a D-Bus service that crawls, indexes your documents and monitors them
for changes, as well as a GTK-based user interface that enables to query
the index built by the service and your favourite Web engines, and display and
analyze the results.

%package deskbar
Summary: Pinot plugin for DeskbarApplet
Group: File tools
Requires: %name = %version
Requires: deskbar-applet

%description deskbar
The included plugin enables Deskbar to search documents indexed by Pinot.

%prep
%setup
%patch1 -p1

%build
%autoreconf

%configure 
#	--enable-soap
%make

%install
%makeinstall_std
%find_lang %name

%post
touch --no-create %_iconsdir/hicolor
if [ -x %_bindir/gtk-update-icon-cache ]; then
%_bindir/gtk-update-icon-cache --quiet %_iconsdir/hicolor || :
fi

%postun
touch --no-create %_iconsdir/hicolor
if [ -x %_bindir/gtk-update-icon-cache ]; then
%_bindir/gtk-update-icon-cache --quiet %_iconsdir/hicolor || :
fi


[ -n "%buildroot" -a "%buildroot" != / ] && rm -rf %buildroot

%files -f %name.lang
%doc AUTHORS ChangeLog ChangeLog-dijon COPYING FAQ NEWS README TODO
%config(noreplace) %_sysconfdir/pinot/
%_bindir/pinot
%_bindir/pinot-dbus-daemon
%_bindir/pinot-index
%_bindir/pinot-label
%_bindir/pinot-search
%_libdir/pinot/filters/libexternalfilter.so*
%_libdir/pinot/filters/libmboxfilter.so*
%_libdir/pinot/filters/libtaglibfilter.so*
%_libdir/pinot/filters/libexifimagefilter.so*
%_libdir/pinot/backends/libxapianbackend.so*
%_datadir/dbus-1/services/de.berlios.Pinot.service
%_datadir/pinot/
%_iconsdir/hicolor/48x48/apps/pinot.png
%_iconsdir/hicolor/32x32/apps/pinot.png
%_iconsdir/hicolor/24x24/apps/pinot.png
%_iconsdir/hicolor/22x22/apps/pinot.png
%_iconsdir/hicolor/16x16/apps/pinot.png
%_sysconfdir/xdg/autostart/*.desktop
%_desktopdir/*.desktop
%_man1dir/pinot*

%files deskbar
%_libdir/deskbar-applet/handlers/pinot-*
%_libdir/deskbar-applet/modules-2.20-compatible/pinot-*

%changelog
* Mon Dec 01 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.89-alt1
- new version

* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 0.85-alt1.1
- Automated rebuild due to libcrypto.so.6 -> libcrypto.so.7 soname change.

* Sat May 10 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.85-alt1
- First build for ALTLinux

